import { Packager } from './packager';
/**
 * Yarn packager.
 *
 * Yarn specific packagerOptions (default):
 *   flat (false) - Use --flat with install
 *   ignoreScripts (false) - Do not execute scripts during install
 */
export declare class Yarn implements Packager {
    get lockfileName(): string;
    get copyPackageSectionNames(): string[];
    get mustCopyModules(): boolean;
    getProdDependencies(cwd: any, depth: any): {
        problems: never[];
        dependencies: {};
    } | {
        stdout: string;
    };
    rebaseLockfile(pathToPackageRoot: any, lockfile: any): any;
    install(cwd: any): void;
    prune(cwd: any): void;
    runScripts(cwd: any, scriptNames: string[]): void;
}
